/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : CloseNotEndError.java                                    */
/* DESCRIPTION   : Error: close with non-end channel                        */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class CloseNotEndError extends Error {

    public String ty;

    public CloseNotEndError(String t) {
	ty = t;
    }

    public String message() {
	return "attempt to close a channel whose type is \"" + ty + "\"";
    } 

}
