/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : CondEnvError.java                                        */
/* DESCRIPTION   : Error: branches in conditional produce unequal envs      */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/****************************************************************************/

package fls.error;

public class CondEnvError extends Error {

    public CondEnvError() {
    }

    public String message() {
	return "branches in conditional produce unequal environments";
    } 

}
