/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : ForkLinearError.java                                     */
/* DESCRIPTION   : Error: child of fork has linear type                     */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/****************************************************************************/

package fls.error;

public class ForkLinearError extends Error {

    public String ty;

    public ForkLinearError(String t) {
	ty = t;
    }

    public String message() {
	return "child of fork has type \"" + ty + "\" which is linear";
    } 

}
