/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : LinVarsUnusedError.java                                  */
/* DESCRIPTION   : Error: some linear variables are unused                  */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/****************************************************************************/

package fls.error;

public class LinVarsUnusedError extends Error {

    public String ty;

    public LinVarsUnusedError() {
    }

    public String message() {
	return "not all variables of linear type have been used";
    } 

}
