/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : LinearProgramTypeError.java                              */
/* DESCRIPTION   : Error: some linear variables are unused                  */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/****************************************************************************/

package fls.error;

public class LinearProgramTypeError extends Error {

    public String ty;

    public LinearProgramTypeError() {
    }

    public String message() {
	return "the type of the top-level program is linear";
    } 

}
