/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : RequestNotPortError.java                                 */
/* DESCRIPTION   : Error: request with non-port                             */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class RequestNotPortError extends Error {

    public String ty;

    public RequestNotPortError(String t) {
	ty = t;
    }

    public String message() {
	return "attempt to request on an expression whose type is \"" + ty + "\"";
    } 

}
