/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : SelectNotChoiceError.java                                */
/* DESCRIPTION   : Error: select with non-choice channel                    */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/****************************************************************************/

package fls.error;

public class SelectNotChoiceError extends Error {

    public String ty;

    public SelectNotChoiceError(String t) {
	ty = t;
    }

    public String message() {
	return "attempt to select on a channel whose type is \"" + ty + "\"";
    } 

}
