/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : SplitNotTensorError.java                                 */
/* DESCRIPTION   : Error: split binding with non-tensor type                */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class SplitNotTensorError extends Error {

    public String ty;

    public SplitNotTensorError(String t) {
	ty = t;
    }

    public String message() {
	return "expression has type \"" + ty + "\" which is not a tensor "
	    + "type, but is used in a split binding";
    } 

}
