/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : UnavailableIdError.java                                  */
/* DESCRIPTION   : Error: linear identifier already used                    */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/****************************************************************************/

package fls.error;

public class UnavailableIdError extends Error {

    public String id;

    public UnavailableIdError(String i) {
	id = i;
    }

    public String message() {
	return "the identifier \"" + id + "\" has already been used";
    } 

}
