/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : UndefinedTypeError.java                                  */
/* DESCRIPTION   : Error: undefined type name                               */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/****************************************************************************/

package fls.error;

public class UndefinedTypeError extends Error {

    public String id;

    public UndefinedTypeError(String i) {
	id = i;
    }

    public String message() {
	return "the type name \"" + id + "\" is not defined";
    } 

}
