/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : ValRedefinedError.java                                   */
/* DESCRIPTION   : Error: attempt to reuse an identifier                    */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class ValRedefinedError extends Error {

    public String id;

    public ValRedefinedError(String i) {
	id = i;
    }

    public String message() {
	return "the identifier \"" + id + "\" has already been used in this scope";
    } 

}
