/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : IntType.java                                             */
/* DESCRIPTION   : Representation of type int                               */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/****************************************************************************/

package fls.types;

public class IntType extends Type {

    public String name() {
	return "int";
    }

    public boolean unlimited() {
	return true;
    }

    public boolean base() {
	return true;
    }

    public boolean equal(Type t) {
	return (t instanceof IntType);
    }

}
