/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : UnitType.java                                            */
/* DESCRIPTION   : Representation of type unit                              */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/****************************************************************************/

package fls.types;

public class UnitType extends Type {

    public String name() {
	return "unit";
    }

    public boolean unlimited() {
	return true;
    }

    public boolean base() {
	return true;
    }

    public boolean equal(Type t) {
	return (t instanceof UnitType);
    }

}
