/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : AcceptNotPortError.java                                  */
/* DESCRIPTION   : Error: accept with non-port                              */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class AcceptNotPortError extends Error {

    public String ty;

    public AcceptNotPortError(String t) {
	ty = t;
    }

    public String message() {
	return "attempt to accept on an expression whose type is \"" + ty + "\"";
    } 

}
