/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : CaseBranchTypesError.java                                */
/* DESCRIPTION   : Error: branches in case have different types             */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/****************************************************************************/

package fls.error;

public class CaseBranchTypesError extends Error {

    public CaseBranchTypesError() {
    }

    public String message() {
	return "branches in case have different types";
    } 

}
