/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : CaseEnvError.java                                        */
/* DESCRIPTION   : Error: branches in case produce unequal environments     */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/****************************************************************************/

package fls.error;

public class CaseEnvError extends Error {

    public CaseEnvError() {
    }

    public String message() {
	return "branches in case produce unequal environments";
    } 

}
