/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : CaseNotBranchError.java                                  */
/* DESCRIPTION   : Error: case with non-branch channel                      */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/****************************************************************************/

package fls.error;

public class CaseNotBranchError extends Error {

    public String ty;

    public CaseNotBranchError(String t) {
	ty = t;
    }

    public String message() {
	return "attempt to use case on a channel whose type is \"" + ty + "\"";
    } 

}
