/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : CaseUnmatchedBranchesError.java                          */
/* DESCRIPTION   : Error: branches in case don't match channel type         */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 5th January 2006                                         */
/****************************************************************************/

package fls.error;

public class CaseUnmatchedBranchesError extends Error {

    public String ty;

    public CaseUnmatchedBranchesError(String t) {
	ty = t;
    }

    public String message() {
	return "branches in case don't match channel type \"" + ty + "\"";
    } 

}
