/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : LabelReusedError.java                                    */
/* DESCRIPTION   : Error: attempt to reuse a label in a branch/choice type  */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/****************************************************************************/

package fls.error;

public class LabelReusedError extends Error {

    public String id;

    public LabelReusedError(String i) {
	id = i;
    }

    public String message() {
	return "the label \"" + id + "\" has already been used in this type";
    } 

}
