/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : LinVarInClosureError.java                                */
/* DESCRIPTION   : Error: non-linear function uses linear free vars         */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 4th January 2006                                         */
/****************************************************************************/

package fls.error;

public class LinVarInClosureError extends Error {

    public String ty;

    public LinVarInClosureError() {
    }

    public String message() {
	return "non-linear function uses free variables of linear type";
    } 

}
