/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : ReceiveNotInputError.java                                */
/* DESCRIPTION   : Error: receive with non-input channel                    */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class ReceiveNotInputError extends Error {

    public String ty;

    public ReceiveNotInputError(String t) {
	ty = t;
    }

    public String message() {
	return "attempt to receive on a channel whose type is \"" + ty + "\"";
    } 

}
