/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : SendNotOutputError.java                                  */
/* DESCRIPTION   : Error: send with non-output channel                      */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class SendNotOutputError extends Error {

    public String ty;

    public SendNotOutputError(String t) {
	ty = t;
    }

    public String message() {
	return "attempt to send on a channel whose type is \"" + ty + "\"";
    } 

}
