/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : TypeRedefinedError.java                                  */
/* DESCRIPTION   : Error: redefined type name                               */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 22nd December 2005                                       */
/****************************************************************************/

package fls.error;

public class TypeRedefinedError extends Error {

    public String id;

    public TypeRedefinedError(String i) {
	id = i;
    }

    public String message() {
	return "the type name \"" + id + "\" is already defined";
    } 

}
