/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : TypeEnvEntry.java                                        */
/* DESCRIPTION   : Type environment entry                                   */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/****************************************************************************/

package fls.typenv;

import fls.types.*;

public class TypeEnvEntry {

    Type type;

    public TypeEnvEntry(Type t) {
	type = t;
    }

    public Type getType() {
	return type;
    }
}
