/****************************************************************************/
/*                                                                          */
/*                   Copyright 2006 University of Glasgow                   */
/*                                                                          */
/*                           All rights reserved.                           */
/*                                                                          */
/****************************************************************************/

/****************************************************************************/
/* FILE          : EndType.java                                             */
/* DESCRIPTION   : Representation of session type end                       */
/*                                                                          */
/* AUTHOR        : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/*                                                                          */
/* LAST MODIFIED : S.J.Gay                                                  */
/* DATE          : 21st December 2005                                       */
/****************************************************************************/

package fls.types;

public class EndType extends Type {

    public String name() {
	return "end";
    }

    public boolean unlimited() {
	return false;
    }

    public boolean base() {
	return true;
    }

    public boolean equal(Type t) {
	return (t instanceof EndType);
    }

}
